// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2024 Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using Hiperscan.PdfLib;
using Hiperscan.Unix;

namespace Hiperscan.ApoIdentCore.Reporting.Protocol.Signature
{
    public class CommonSignature : IDraw
    {
        public bool Draw(PdfArgs args)
        {
            args.Layout.Feed(40);
            args.Layout.SetFont(PdfFontTypes.HELVETICA, args.ReferenceFontSize, PdfColors.Black);

            args.Layout.XPosition = 0;
            if (args.Layout.AddParagraph(Catalog.GetString("Approved:")) == false)
                return false;

            args.Layout.Feed(args.ReferenceFontSize);

            double width = 150;

            args.Layout.XPosition = args.ReferenceTabIndent;
            if (args.Layout.AddHorizontalLine(args.Layout.XPosition, args.Layout.YPosition, width, 0.5) == false)
                return false;

            args.Layout.SetFont(PdfFontTypes.HELVETICA, 0.8 * args.ReferenceFontSize, PdfColors.Black);
            if (args.Layout.AddParagraph(Catalog.GetString("Signature"), 150, PdfTextAlignments.Center) == false)
                return false;

            args.Layout.Feed(args.Layout.ParagraphBoundingBox.Height + args.ReferenceLineDistance);
            return true;
        }
    }
}
